Skip to content

[finding] docs/rfc/0021-premerge-stack-integration.md — RFC 0021 A5's stated formula and its prose both contradict t #775

Open

Description

@TheFJK

Origin: 2c6db44177351a84156c12e838aceecd76f8713b
Agent: premerge.review.code_review
File: docs/rfc/0021-premerge-stack-integration.md:912
Severity: suggestion (Phase premerge)
Disposition: DEFERRED (premerge-repair-budget-exhausted)
Tier: SUGGESTION
Related: PR #768

Findings (1)

1. docs/rfc/0021-premerge-stack-integration.md:912 — suggestion / SUGGESTION / DEFERRED (premerge-repair-budget-exhausted) — RFC 0021 A5's stated formula and its prose both contradict the code shipped in the same PR: the denominator excludes blo

Lenses: premerge.review.code_review

The appendix box reads GROWTH(N) = |{...}| / |blockers(N)| and the paragraph below asserts the denominator is the same population BLOCKERS= already reports. _growth_ratio skips rows where blocked_on_carry is True before incrementing measured. On an attempt with 1 reviewer blocker and 2 carried rows the line prints BLOCKERS=3 and GROWTH is computed over a denominator of 1.

To resolve: address the findings above in code and close this issue. Closing resolves exactly the findings listed in this body and the findings added by a later comment on it — one index records both, and closing resolves that recorded set and nothing else. A finding in this file that this issue never recorded is filed as a NEW issue rather than suppressed, so closing never mutes the file. Before closing, apply finding:true-positive if it was a real defect or finding:false-positive if it was not — that label is the eval ground truth (RFC 0018).

Activity

  1. added
    premerge-findingAuto-filed by /uberdev:premerge from deferred findings (RFC 0002)
    on Aug 24, 2026
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment

Metadata

Metadata

Assignees

No one assigned

    Labels

    premerge-findingAuto-filed by /uberdev:premerge from deferred findings (RFC 0002)

    Type

    No type

    Projects

    No projects

      Milestone

      No milestone

      Relationships

      None yet

      Development

      No branches or pull requests

      Issue actions